@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@100..900&family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000&display=swap');
*{
    font-family: "Kumbh Sans";
}
body{
    background-color: hsl(0, 0%, 100%);
    height: 100vw;
    margin: 0 10%;
    width: auto;
 }
header{
    border-bottom: 1px solid hsl(219, 9%, 45%);
    display: flex;
    justify-content: space-between;
}
header .left{
    display: flex;
}
.left .open-menu{
    margin: 23% 2% 23% 0;
}
.left .menu-large-screen{
    display: none;
}
header .right{
    display: flex;
    justify-content: flex-end;
}
.cart {
    position: relative;
    cursor: pointer;
    margin-top: 10px;
    margin-left: 10px;
  }
.cart-item-count {
    position: absolute;
    top: 5px;
    left: 5px;
    background-color: hsl(26, 100%, 55%);
    color: hsl(223, 64%, 98%);
    border-radius: 50%;
    padding: 4px 8px;
    font-size: 12px;
    font-weight: bold;
  }
.cart svg{
    margin-top: 25px;
}
.right .profile img{
    margin: 20px 0px 5px 10px;
    max-width: 30px;
}
.right .profile img:hover{
    border: 3px solid hsl(26, 100%, 55%);
    border-radius: 50%;
}

/* menu */
.left .open-menu-container{
    background-color: #fff;
    height: 100%;
    top: 0;
    left: 0;
    visibility: hidden;
    transform: translateX(0);
    position: fixed;
    left: 0;
    top: 0;
    width: 50vw;
    height: 100vh;
    z-index: 999;
    padding-top: 2.2rem;
    padding-left: 2.2rem;
    transition: all 0.2s ease-in-out;
}
.open-menu-container .close-menu{
    position: relative;
    right: 0;
}
.left .open-menu-container .mobile-menu{
    display: flex;
    flex-direction: column;
    list-style: none;
    font-weight: 900;
}
li a{
    text-decoration: none;
    color: black;
}
.cart-content{
    background-color: hsl(0, 0%, 100%);
    border: none;
    box-shadow: 5px 5px 15px rgb(24, 15, 1);
    text-align: left;
    width: 225px;
    border-radius: 1rem;
    padding: 5px 10px;
    padding-bottom: 1rem;
    max-height: 400px;
    overflow-y: auto;
    position: fixed; 
    top: auto; 
    left: 15%; 
    z-index: 9999;
    visibility: hidden; 
}
.active{
    visibility: visible;
    z-index: 9999;
}
.cart-content h3{
    font-size: 1.6rem;
    padding: 0.5rem 0.05rem;
    border-bottom: 1px solid hsl(219, 9%, 45%);
    font-weight: 700;
}
.cart-item .item-details{
    color: hsl(223, 64%, 98%);
    border-radius: 10px;
    padding: 15px 25px;
    background-color: hsl(26, 100%, 55%);
    margin-bottom: 10px;
}
.item-details .product-details{
    display: flex;
    justify-content: space-between;
}
.product-details .delete svg path{
    color: hsl(25, 100%, 94%);
}
.cart-items-container {
    max-height: 300px; 
    overflow-y: auto;
  }
.checkout-button-container {
    text-align: center;
    margin-top: 15px;
}

.checkout-button {
    background-color: hsl(26, 100%, 55%);
    border: none;
    padding: 10px 20px;
    border-radius: 10px;
    color: hsl(223, 64%, 98%);
    font-weight: 900;
    cursor: pointer;
    width: 100%;
}
main{
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}
.images{
    display: flex;
    flex-direction: column;
}
.images .product-img img{
    max-width: 100%;
    border-radius: 10px;
}
.images .slider .next, .slider .previous{
    display: flex;
    cursor: pointer;
    position: absolute;
    top: 35%;
    width: 50px;
    height: 50px;
    margin-top: -22px;
    background-color: #fff;
    border-radius: 50%;
    font-weight: 700;
    font-size: 22px;
    transition: .6s ease;
    place-content: center;
    align-items: center;
}
.previous{
    left: 2.2rem;
}
.next{
    right: 2.2rem;
    /* left: 0; */
}
.images .thumbnails{
    display: none;
}

.product-description{
    margin: 10% 10% 10% 0;
}
.product-description h4{
    color: hsl(26, 100%, 55%);
}
.product-description p{
    color: grey;
    font-size: 15px;
}
.product-description .price-tag{
    font-weight: bold;
    font-size: 20px;
}
.product-description .price-tag .discount{
    font-size: 15px;
    padding: 5px 15px;
    background-color: hsl(25, 100%, 94%);
    color: hsl(26, 100%, 55%);
    border-radius: 5px;
}
.price-tag .old-price{
    font-size: 15px;
    font-weight: 900;
    color: lightgrey;
    text-decoration: line-through;
}
.product-description .addto-cart{
    display: flex;
    margin: 10%;
    margin-left: 0;
}
.addto-cart .items{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 150px;
    background-color: hsl(223, 64%, 98%);
    padding: 10px 25px;
    border-radius: 15px;
    height: 25px;
}
.items .item{
    font-size: 25px;
    padding: 2px;
}
.items .add, .remove{
    color: hsl(26, 100%, 55%);
    font-weight: 900;
}
.add, .remove{
    cursor: pointer;
}
.addto-cart button{
    background-color: hsl(26, 100%, 55%);
    border: none;
    max-width: 700px;
    padding: 5px 15px;
    height: 40px;
    border-radius: 10px;
    /* align-items: center; */
    box-shadow: 0 10px 25px rgba(255, 125, 26, 0.35);
    color: hsl(223, 64%, 98%);
    gap: 20px;
    /* font-weight: 900; */
}
.addto-cart button .mobile-addtocart{
    display: flex;
    align-items: center;
    justify-content: center;
}
.addto-cart button .mobile-addtocart svg{
    padding-left: 5px;
}
.addto-cart .desktop-addtocart{
    display: none;
}

    
/* media queries */
@media only screen and (min-width: 375px){
    .cart-content{
        left: 15%;
        width: 280px;
    }
    .right .profile img{
        margin: 20px 0px 5px 18px;
    }
    .left .open-menu-container{
        width: 40vw;
    }
    .images .slider .next, .slider .previous{
        top: 35%;
    }
    .previous{
        left: 2.5rem;
    }
    .next{
        right: 2.5rem;
        /* left: 0; */
    }
}
@media only screen and (min-width: 425px){
    .images .slider .next, .slider .previous{
        top: 40%;
    }
    .previous{
        left: 2.8rem;
    }
    .next{
        right: 2.8rem;
        /* left: 0; */
    }
}
@media only screen and (min-width: 768px){
    .left .open-menu-container{
        width: 30vw;
    }
    .images .slider .next, .slider .previous{
        top: 45%;
    }
    .previous{
        left: 5rem;
    }
    .next{
        right: 5rem;
        /* left: 0; */
    }
}
@media only screen and (min-width: 1024px){
    body{
        width: 100%;
    }
    .left .open-menu, .close-menu{
        display: none;
        }
    .open-menu-container{
        display: none;
    }
    .left .menu-large-screen{
        list-style: none;
        display: flex;
        margin: 10px;
    }
    .left .menu-large-screen li{
        color: grey;
        margin: 20px 10px 10px 10px;
    }
    .right .profile img{
        max-width: 60px;
        margin-left: 20px;
    }
    .cart-content{
        width: 300px;
        top: 11%; 
        left: 65%; 
    }
    main{
        flex-direction: row;
    }
    .product-description{
        margin: 10%;
    }
    .images{
        flex-basis: 50%;
    }
    .images .slider{
        display: none;
    }
    .images .thumbnails{
        display: flex;
        justify-content: space-between;
        gap: 10px;
    }
    .images .thumbnails img{
        max-width: 100px;
        border-radius: 7px;
        margin: 10px 0;
    }
    .images .thumbnails img:hover{
        transform: translateY(-2px);
        box-shadow: 0 3px 15px rgba(0, 0, 0, 0.2);
        opacity: 0.5;
        border: 3px solid hsl(26, 100%, 55%);
        cursor: pointer;
    }
    .addto-cart button .mobile-addtocart{
        display: none;
    }
    .addto-cart .desktop-addtocart{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    
}